package me.Demon.DemonShiTu;

import me.Demon.DemonShiTu.data.ShiFuData;
import me.Demon.DemonShiTu.manager.DataManager;
import me.clip.placeholderapi.expansion.PlaceholderExpansion;
import org.bukkit.entity.Player;
import org.bukkit.plugin.Plugin;

public class ShituExpansion extends PlaceholderExpansion {
    private Plugin plugin;

    public ShituExpansion(Plugin plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean persist() {
        return true;
    }

    @Override
    public boolean canRegister() {
        return true;
    }

    @Override
    public String getAuthor() {
        return plugin.getDescription().getAuthors().toString();
    }

    @Override
    public String getIdentifier() {
        return "shitu";
    }

    @Override
    public String getVersion() {
        return plugin.getDescription().getVersion();
    }

    @Override
    public String onPlaceholderRequest(Player player, String indentifier) {
        DataManager dataManager = Main.dataManager;
        if (indentifier.equalsIgnoreCase("shifu")) {
            return ""+dataManager.getTeacherName(player.getName());
        }else if (indentifier.equalsIgnoreCase("amount")) {
            return ""+dataManager.getApprenticeList(player.getName()).size();
        }else if (indentifier.equalsIgnoreCase("level")) {
            if(dataManager.getTeacherData(player.getName()) == null){
                return "0";
            }
            ShiFuData shiFuData = dataManager.getTeacherData(player.getName());
            return ""+shiFuData.getLevel();
        }
        return "";
    }
}
