package me.Demon.DemonShiTu;

import me.Demon.DemonPlugin.DemonAPI;
import me.Demon.DemonShiTu.command.AdminCmd;
import me.Demon.DemonShiTu.command.MainCmd;
import me.Demon.DemonShiTu.guimanager.*;
import me.Demon.DemonShiTu.listener.AttributeLoad;
import me.Demon.DemonShiTu.listener.ChongZhi;
import me.Demon.DemonShiTu.listener.itemUse;
import me.Demon.DemonShiTu.manager.DataManager;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

    public static Main plugin;
    public static DataManager dataManager;

    @Override
    public void onEnable() {
        plugin = this;
        DemonAPI.sendConsoleMessage("§f[§6!§f] §aDemonShiTu (2.2.0) §f开始加载");
        dataManager = new DataManager();
        getCommand("st").setExecutor(new MainCmd());
        getCommand("stadmin").setExecutor(new AdminCmd());
        getServer().getPluginManager().registerEvents(new LookDataGui(),this);
        getServer().getPluginManager().registerEvents(new TeacherGui(),this);
        getServer().getPluginManager().registerEvents(new OnlineTeacherGui(),this);
        getServer().getPluginManager().registerEvents(new ThApplyGui(),this);
        getServer().getPluginManager().registerEvents(new TudiGui(),this);

        getServer().getPluginManager().registerEvents(new JoinEvent(),this);

        getServer().getPluginManager().registerEvents(new ChongZhi(),this);
        getServer().getPluginManager().registerEvents(new AttributeLoad(),this);
        getServer().getPluginManager().registerEvents(new itemUse(),this);
        if (Bukkit.getPluginManager().getPlugin("PlaceholderAPI") != null) {
            new ShituExpansion(this).register();
            DemonAPI.sendConsoleMessage("§f[§a!§f] §fPlaceholderAPI §8> §6完成");
        }
        DemonAPI.sendConsoleMessage("§f[§6!§f] §aDemonShiTu §f加载完成,祝你使用愉快！");
        DemonAPI.sendConsoleMessage("§f[§6!§f] §b极光像素工作室出品");
    }

    @Override
    public void onDisable() {
        dataManager.SaveDataManager();
        DemonAPI.sendConsoleMessage("§f[§6!§f] §aDemonShiTu §f卸载完成,欢迎下次使用！");
    }

    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String Command, String[] args) {
        if (Command.equalsIgnoreCase("stopen") && (sender instanceof Player)) {
            //判断玩家是否是师傅 若是 则打开 师傅界面
            String name = sender.getName();
            Player player = (Player) sender;
            if (ShiTuAPI.isTeacherExit(name)) {
                TeacherGui.OpenGui(player);
            } else {
                if (dataManager.isPlayerExitTeacher(name)) {
                    TudiGui.OpenGui(player);
                } else {
                    OnlineTeacherGui.OpenGui(player);
                    sender.sendMessage("======== §7[§6师徒系统§7] §f========");
                    sender.sendMessage("§7/st <玩家名> §6: 让某名玩家成为你的师傅");
                }
            }
        }
        return false;
    }
}
