package me.Demon.DemonShiTu;

import me.Demon.Compat.VexCompatGui;
import me.Demon.DemonBanK.BankAPI;
import me.Demon.DemonShiTu.data.ShiFuData;
import me.Demon.DemonShiTu.manager.DataManager;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public abstract class ShiTuAPI {


    public static void settlementIncome(){
        DataManager dataManager = Main.dataManager;
        dataManager.setMonthlyTimeLog(System.currentTimeMillis());
        Bukkit.broadcastMessage("§e§l★ §a师徒激励计划-收益结算");
        for (String sfName : dataManager.getShiFuDataMap().keySet()){
            ShiFuData fuData = dataManager.getTeacherData(sfName);
            //获取玩家的收益
            double shouyi = fuData.getEarnings();
            if(shouyi >= 10) {
                //获取需要支付给玩家多少软妹币
                int coins = (int) (shouyi * 0.1);
                fuData.setEarnings(0);
                if(coins >= 100){
                    Bukkit.broadcastMessage("§c§l★ §a玩家 §e"+sfName+" §a通过上月激励计划获得 §b"+coins+"软§f(额外奖励20软)");
                    coins = coins + 20;
                }else{
                    Bukkit.broadcastMessage("§c§l★ §a玩家 §e"+sfName+" §a通过上月激励计划获得 §b"+coins+"软");
                }
                BankAPI.addCoins(sfName,coins);
            }
        }
        dataManager.SaveDataManager();
    }

    public static void revenueTopList(CommandSender sender){
        DataManager dataManager = Main.dataManager;
        HashMap<String, Double> map = new HashMap<>();
        for (String sfName : dataManager.getShiFuDataMap().keySet()) {
            ShiFuData fuData = dataManager.getTeacherData(sfName);
            double shouyi = fuData.getEarnings();
            map.put(sfName, shouyi);
        }
        List<Map.Entry<String, Double>> list = new ArrayList<>(map.entrySet());
        list.sort((o1, o2) -> o2.getValue().compareTo(o1.getValue()));
        sender.sendMessage("§e§l★ §a师徒激励计划-收益排行榜");
        int rank = 1;
        for (int i = 0; i < list.size(); i++) {
            String sfName = list.get(i).getKey();
            double money = list.get(i).getValue()*0.1;
            ShiFuData fuData = dataManager.getTeacherData(sfName);
            sender.sendMessage("§a§l★ §7第 §e" + rank + " §7名: §e" + sfName + " §f收益: §6"+new DecimalFormat(",###.##").format(money)+"元 §f徒弟: §e"+fuData.getTudiList().size()+"名");
            ++rank;
        }
    }

    /*
    * 判断这个玩家是否成为师傅
    * */
    public static boolean isTeacherExit(String sfName){
        DataManager dataManager = Main.dataManager;
        if(dataManager.getTeacherData(sfName) != null){
            return true;
        }
        return false;
    }


    public static double getExpDouble(String shifu){
        int top = VexCompatGui.getTop_self(shifu);
        if(top <= 1){
            return 50.0;
        }else if(top <= 3){
            return 30.0;
        }else if(top <= 6){
            return 20.0;
        }else if(top <= 10){
            return 10.0;
        }else if(top <= 30){
            return 5.0;
        }
        return 0.0;
    }
}
