package me.Demon.DemonShiTu.listener;

import com.yaohun.aurechargedata.event.RechargeEvent;
import me.Demon.DemonPlugin.DemonAPI;
import me.Demon.DemonShiTu.Main;
import me.Demon.DemonShiTu.data.ShiFuData;
import me.Demon.DemonShiTu.manager.DataManager;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

public class ChongZhi implements Listener {
    @EventHandler
    public void onRecharge(RechargeEvent e){
        DataManager dataManager = Main.dataManager;
        String name = e.getPlayerName();// 充值软妹币的玩家名
        // 判断这个玩家是否拜师
        if(dataManager.isPlayerExitTeacher(name)){
            // 获取这个玩家的师傅名
            String sfNameA = dataManager.getTeacherName(name);
            // 判断他的师傅是否进行拜师
            if(!dataManager.isPlayerExitTeacher(sfNameA)){
                // 获取他师傅的等级
                ShiFuData shiFuData = dataManager.getTeacherData(sfNameA);
                // 若师傅超过15天未上线则不享受此分成
                if(shiFuData.isLoginOvertime()){
                    System.out.println("[调试 - 师徒] 师傅 " + sfNameA + " 因长时间未上线,取消本次分成奖励.");
                    return;
                }
                int level = shiFuData.getLevel();
                //获取分成比例
                double percentage = getPercentage(level);
                double incentivePayments = (e.getMoney() * percentage) * 10;
                shiFuData.addEarnings(incentivePayments); // 增加师徒币
                shiFuData.SaveData(); // 保存数据
                System.out.println("[调试 - 师徒] 充值玩家: "+name+" 他的师傅<" + sfNameA + ">获得" + incentivePayments + "师徒币奖励");
                Player sfPlayerA = Bukkit.getPlayer(sfNameA);
                if(sfPlayerA != null){
                    DemonAPI.sendMessage(sfPlayerA,"获得徒弟的充值激励收益: §6"+incentivePayments+"师徒币");
                }
            } else {
                // 获取他师傅的等级
                ShiFuData shiFuData = dataManager.getTeacherData(sfNameA);
                // 若师傅超过7天未上线则不享受此分成
                if(shiFuData.isLoginOvertime()){
                    System.out.println("[调试 - 师徒] 师傅 " + sfNameA + " 因长时间未上线,取消本次分成奖励.");
                    return;
                }
                int level = shiFuData.getLevel();
                //获取分成比例
                double percentage = getPercentage(level);
                double incentivePayments = ((e.getMoney() * percentage) * 10 )* 0.5;
                shiFuData.addEarnings(incentivePayments); // 增加师徒币
                shiFuData.SaveData(); // 保存数据
                System.out.println("[调试 - 师徒] 充值玩家: "+name+" 他的师傅<" + sfNameA + ">获得" + incentivePayments + "师徒币奖励");
                Player sfPlayerA = Bukkit.getPlayer(sfNameA);
                if(sfPlayerA != null){
                    DemonAPI.sendMessage(sfPlayerA,"获得徒弟的充值激励收益: §6"+incentivePayments+"师徒币");
                }
                // 获取他师傅的师傅
                String sfNameB = dataManager.getTeacherName(sfNameA);
                ShiFuData shiFuDataB = dataManager.getTeacherData(sfNameB);
                // 若师傅超过7天未上线则不享受此分成
                if(shiFuDataB.isLoginOvertime()){
                    System.out.println("[调试 - 师徒] 师傅 " + sfNameA + " 因长时间未上线,取消本次分成奖励.");
                    return;
                }
                shiFuDataB.addEarnings(incentivePayments);// 增加师徒币
                System.out.println("[调试 - 师徒] 分成玩家: "+sfNameA+" 他的师傅<" + sfNameB + ">获得" + incentivePayments + "师徒币奖励");
                Player sfPlayerB = Bukkit.getPlayer(sfNameB);
                if(sfPlayerB != null){
                    DemonAPI.sendMessage(sfPlayerB,"获得徒弟的充值激励收益: §6"+incentivePayments+"师徒币");
                }
            }
        }
    }

    public static double getPercentage(int level){
        double percentage = 0.05;
        if(level == 2){
            percentage = 0.1;
        }else if(level == 3){
            percentage = 0.15;
        }else if(level >= 4){
            percentage = 0.2;
        }
        return percentage;
    }
}
